//
//  FConf.m
//  FunInputToy2.0
//
//  Created by Feng Huajun on 08-1-23.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "FConf.h"


@implementation FConf

+(NSDictionary *) loadSettingFromFile:(NSString*) f
{
	NSDictionary* s;
	
	NSFileManager* fs = [NSFileManager defaultManager];
		
	if(![fs fileExistsAtPath:f]){
		NSMutableDictionary* setting;
		setting = [[[NSMutableDictionary alloc] init] autorelease];
		[setting setObject:@"PY" forKey:@"InputMode"];
		[setting setObject:@"QP" forKey:@"PYMode"];
		[setting setObject:@"" forKey:@"SPScheme"];
		NSMutableDictionary* mhPYSetting = [[[NSMutableDictionary alloc] init] autorelease];
		NSNumber* no = [NSNumber numberWithInt:NO];
		[mhPYSetting setObject:no forKey:@"z-zh"];
		[mhPYSetting setObject:no  forKey:@"c-ch"];
		[mhPYSetting setObject:no  forKey:@"s-sh"];
		[mhPYSetting setObject:no  forKey:@"l-n"];
		[mhPYSetting setObject:no  forKey:@"f-h"];
		[mhPYSetting setObject:no forKey:@"an-ang"];
		[mhPYSetting setObject:no forKey:@"ian-iang"];
		[mhPYSetting setObject:no forKey:@"uan-uang"];
		[mhPYSetting setObject:no forKey:@"en-eng"];
		[mhPYSetting setObject:no forKey:@"in-ing"];		
		[setting setObject:mhPYSetting forKey:@"MHPYSetting"];
		[setting setObject:@"Normal" forKey:@"WBXMode"];
		[FConf saveSetting:setting toFile:f];
		s = setting;
	}else{
		NSData *plistData;
		NSString *error;
		NSPropertyListFormat format;
		plistData = [NSData dataWithContentsOfFile:f];
 
		s = [NSPropertyListSerialization propertyListFromData:plistData
                                mutabilityOption:NSPropertyListImmutable
                                format:&format
                                errorDescription:&error];
		
	}
	return s;
}

+(void) saveSetting:(NSDictionary *) s toFile:(NSString*) f
{
		NSData *xmlData;
		NSString *error;
 
		xmlData = [NSPropertyListSerialization dataFromPropertyList:s
                                       format:NSPropertyListXMLFormat_v1_0
										errorDescription:&error];
		[xmlData writeToFile:f atomically:YES];
}


@end
