//
//  FDynamicTreeNode.h
//  FunInputToy2.0
//
//  Created by Feng Huajun on 07-12-28.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FWord.h"

@interface FDynamicTreeNode : NSObject {
	int codeIndex;
	NSMutableArray* words;
	NSMutableDictionary* childs;
}
-(id) initWithCodeIndex:(UInt32)c;
-(NSNumber*) numberForCodeIndex;
-(NSArray*) words;
-(FDynamicTreeNode*) childNodeForCodeIndex:(UInt32) c;
-(void) addChildNode:(FDynamicTreeNode*) node;
-(FWord*) addWord:(FWord*) w;
-(void) removeWord:(FWord*) w;

@end
