//
//  FPYUtils.h
//  FunInputToy2.0
//
//  Created by Feng Huajun on 07-12-22.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FList.h"
#import "FTree.h"
#import "FPYWord.h"
#import "FDynamicTree.h"

typedef enum _FPYMode {
	FQPMode,
	FSPMode,
	FQPSPMode
} FPYMode;

@interface FPYUtils : NSObject {

}

+(UInt32) codeIndexFor:(NSString*) py;
+(NSString*) revertPYString: (NSString*) str;
+(UInt32) getCodeIndexs:(UInt32 *) cc byPYString:(NSString*) str;
+(UInt32) getMutiCodeIndexs:(UInt32 *) xcc byPYString:(NSString*) str;
+(FWord*) guestFirstWordWithMutiCodeIndexs:(UInt32 *) xcc withFirstWord:(FWord*) w withTree:(FTree*) tree withList:(FList*) list withDynamicTree:(FDynamicTree*) dtree;
+(NSArray*) searchWordsByMutiCodeIndexs:(UInt32 *) xcc withDynamicTreeOnly:(FDynamicTree*) dtree;
+(NSArray*) searchWordsByMutiCodeIndexs:(UInt32 *) xcc withTree:(FTree*) tree withList:(FList*) list withDynamicTree:(FDynamicTree*) dtree;
+(NSString*) codeForCodeIndexs:(UInt32*) cc length:(UInt32) len;
+(NSString*) codeForCodeIndex:(UInt32) c;
+(NSString *) fixInputString:(NSString *) s;
+(void) setMH:(BOOL)f forKey:(NSString*) key;
+(void) setMHByDictionary:(NSDictionary*) dict;
+(NSArray *) mutipleCodeElement:(NSString *) ce;
+(NSArray *) qpMutipleCodeElement:(NSString *) ce;
+(BOOL) isPY:(NSString*) str;

+(void) loadSPSchemesFromFile:(NSString*) path;
+(NSArray*) supportedSPSchemes;
+(NSString*) currentSPSchemeName;
+(void) selectSPScheme:(NSString*) name;  
+(void) setPYMode:(FPYMode) m;
+(FPYMode) currentPYMode;

+(NSSet*) pinYinSet;

@end
