//
//  SPSet.h
//  CarbonInputMethod
//
//  Created by Feng Huajun on 4/27/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface FSPScheme : NSObject {
	NSString* name;
	NSString* non_sm;
	NSMutableDictionary* smDict;
	NSMutableDictionary* ymDict;
}

-(void) setName: (NSString *) n;
-(void) setNonSMKey: (NSString *) n;
-(void) setSM: (NSString *) sm withKey: (NSString *) k;
-(void) setYM: (NSString *) ym withKey: (NSString *) k;

-(NSString *) name;
-(NSString *) nonSMKey;
-(NSArray *) smByKey: (NSString *) k;
-(NSArray *) ymByKey: (NSString *) k;
-(NSString *) keyBySM: (NSString *) sm ;
-(NSString *) keyByYM: (NSString *) ym ;

-(NSString *) spByQp:(NSString *) qp;
-(NSArray *) qpBySp:(NSString *) sp;

@end
