//
//  FTree.h
//  FunInputToy2.0
//
//  Created by Feng Huajun on 07-12-22.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FWord.h"

typedef struct _FTreeNode {
	UInt32 codeIndex;
	UInt32 wordIndex;
	UInt32 parent;
	UInt32 firstChild;
	UInt32 nextSibling;
} FTreeNode;

@interface FTree : NSObject {
	UInt32 count;
	FTreeNode* treeArray;
	int fd;
	NSMutableDictionary* cacheDict;
	NSData* data;
}

- (id) initFromFile:(const char*) filename;
-(UInt32) searchByCodeIndex:(UInt32) c withParentIndex: (UInt32) parentIndex;
-(UInt32) wordIndexByCodeIndexs:(UInt32 *) cc withLength:(UInt32) len;
-(UInt32) searchByCodeIndexs:(UInt32*) cc withParentIndex: (UInt32) parentIndex resultIndexs:(UInt32*) indexs;
-(UInt32) searchByMutiCodeIndexs:(UInt32*) xcc result:(UInt32*) result returnLength:(UInt32*) oLen returnIndex:(UInt32*) oIndex;
-(UInt32) getPathIndexs:(UInt32*) indexs byIndex:(UInt32) index;
-(UInt32) count;
@end
