//
//  FDynamicTree.h
//  FunInputToy2.0
//
//  Created by Feng Huajun on 07-12-28.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FWordFactory.h"
#import "FDynamicTreeNode.h"
#import "FSQLiteDB.h"

@interface FDynamicTree : NSObject {
	FSQLiteDB* db;
	FDynamicTreeNode* root;
	int type;
	NSMutableArray* updatedWords;
}
-(id) initFromFile:(const char*) filename withType:(int) t;
-(void) loadWordsFromDB;
-(void) addWord:(FWord*) w;
-(void) addWordToMB:(FWord*) w;
-(FWord*) addWordWithoutDB:(FWord*) w;
-(void) removeWord:(FWord*) w;
-(void) updateWord:(FWord*) w;
-(void) deleteWord:(FWord*) w;
-(void) updateDBNow:(NSObject*) sender;
-(NSArray*) wordsByCodeIndexs:(UInt32 *) cc withLength:(UInt32) len returnLength:(UInt32*) oLen;
-(NSArray*) wordsByMutiCodeIndexs:(UInt32*) xcc returnIndex:(UInt32*) oIndex;
-(NSArray*) userWords;
-(NSArray*) userWordsForPost;
-(void) userWordsPostDone;

@end
