//
//  FRelatedDictionary.m
//  FunInputToy2.0
//
//  Created by Feng Huajun on 08-1-10.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "FRelatedWordList.h"


@implementation FRelatedWordList

- (id) initWithIndexFile:(NSString*) idxFile listFile:(NSString*) datFile
{
	self = [super init];
	if (self != nil) {
		tree = [[FTree alloc] initFromFile:[idxFile fileSystemRepresentation]];
		list = [[FList alloc] initFromFile:[datFile fileSystemRepresentation] withType:FWBX];
	}
	return self;
}

- (NSArray*) relatedWordsByString:(NSString *) s
{
	unichar c = [s characterAtIndex:[s length]-1];
	UInt32 cc[1];
	cc[0] = c;
	UInt32 windex = [tree wordIndexByCodeIndexs:cc withLength:1];
	if(windex==-1) return nil;
	return [list wordArrayByIndex:windex withLength:1 limit:0];
}

- (void) dealloc
{
	[list release];
	[tree release];
	[super dealloc];
}


@end
