//
//  SQLiteDB.h
//  fit_mbcreater
//
//  Created by Feng Huajun on 07-9-19.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <sqlite3.h>
#ifdef IPHONE
#import <openssl/md5.h>
#endif

@interface FSQLiteDB : NSObject {

sqlite3* db;
NSMutableDictionary* queryCache;
int queryCacheRowNum;

}
-(NSString* ) md5:(NSString *) str;
-(id) initWithPath: (NSString*)path;
-(void) enableQueryCache;
-(NSArray*) query: (NSString *)sql;
-(void) execute: (NSString *)sql;
-(int) last_insert_id;
-(void) beginTrans;
-(void) endTrans;
@end
