//
//  FWord.h
//  FunInputToy2.0
//
//  Created by Feng Huajun on 07-12-22.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FStringEx.h"

#ifdef GNUSTEP
typedef unsigned long                   UInt32;
#define	O_RDONLY	0x0000		/* open for reading only */
#define	O_WRONLY	0x0001		/* open for writing only */
#define	O_RDWR		0x0002		/* open for reading and writing */
#define	O_ACCMODE	0x0003		/* mask for above modes */
#endif


@interface FWord : NSObject {
	NSString* code;
	NSString* string;
	int hit;
	int freq;
	BOOL isNew;
	BOOL sent;
	int wordId;
}

+(void) setUseBig5:(BOOL) f;

-(NSString*) code;
-(NSString*) string;
-(NSString*) sstring;
-(int) wordId;
-(int) freq;
-(int) hit;
-(BOOL) isNew;
-(BOOL) isSent;
-(void) setCode:(NSString*)c;
-(void) setString:(NSString*)s;
-(void) setFreq:(int)f;
-(void) setHit:(int)h;
-(void) setNewFlag:(BOOL)f;
-(void) setSentFlag:(BOOL)f;
-(void) setWordId:(int) i;
-(UInt32) genCodeArray: (UInt32*)cc;
-(NSComparisonResult) compare: (FWord *) w;
-(NSComparisonResult) compareASCI: (FWord *) w;
-(FWord *) wordCombineWith:(FWord *) w;
-(BOOL) isEqualTo:(id) object;
-(NSString*) toSocketString;
@end
